pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid Class Reference

A minimalistic implementation of a voxel grid, necessary for the point cloud upsampling. More...

`#include <pcl/surface/mls.h>`

## Classes

struct | Leaf

## Public Types

typedef std::map< uint64_t, Leaf > | HashMap

## Public Member Functions

| MLSVoxelGrid (PointCloudInConstPtr &cloud, IndicesPtr &indices, float voxel_size)
void | dilate ()
void | getIndexIn1D (const Eigen::Vector3i &index, uint64_t &index_1d) const
void | getIndexIn3D (uint64_t index_1d, Eigen::Vector3i &index_3d) const
void | getCellIndex (const Eigen::Vector3f &p, Eigen::Vector3i &index) const
void | getPosition (const uint64_t &index_1d, Eigen::Vector3f &point) const

## Public Attributes

HashMap | voxel_grid_
Eigen::Vector4f | bounding_min_
Eigen::Vector4f | bounding_max_
uint64_t | data_size_
float | voxel_size_

## Detailed Description

### template<typename PointInT, typename PointOutT>
class pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid

A minimalistic implementation of a voxel grid, necessary for the point cloud upsampling.

Note
  Used only in the case of VOXEL_GRID_DILATION upsampling

Definition at line 376 of file mls.h.

## Member Typedef Documentation

template<typename PointInT, typename PointOutT>

typedef std::map<uint64_t, Leaf> pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::HashMap

Definition at line 421 of file mls.h.

## Constructor & Destructor Documentation

template<typename PointInT , typename PointOutT >

pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::MLSVoxelGrid | ( | PointCloudInConstPtr & | cloud,
|  | IndicesPtr & | indices,
|  | float | voxel_size
| ) |  |

Definition at line 714 of file mls.hpp.

References pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::bounding_max_, pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::bounding_min_, pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::data_size_, pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::getCellIndex(), pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::getIndexIn1D(), pcl::getMinMax3D(), pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::voxel_grid_, and pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::voxel_size_.

## Member Function Documentation

template<typename PointInT , typename PointOutT >

void pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::dilate | ( |  | ) |

Definition at line 740 of file mls.hpp.

References pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::getIndexIn1D(), pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::getIndexIn3D(), and pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::voxel_grid_.

Referenced by pcl::MovingLeastSquares< PointInT, PointOutT >::performUpsampling().

template<typename PointInT, typename PointOutT>

void pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::getCellIndex | ( | const Eigen::Vector3f & | p,
|  | Eigen::Vector3i & | index
| ) |  | const

inline

Definition at line 406 of file mls.h.

References pcl::MovingLeastSquares< PointInT, PointOutT >::voxel_size_.

Referenced by pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::MLSVoxelGrid().

template<typename PointInT, typename PointOutT>

void pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::getIndexIn1D | ( | const Eigen::Vector3i & | index,
|  | uint64_t & | index_1d
| ) |  | const

inline

Definition at line 389 of file mls.h.

Referenced by pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::dilate(), and pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::MLSVoxelGrid().

template<typename PointInT, typename PointOutT>

void pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::getIndexIn3D | ( | uint64_t | index_1d,
|  | Eigen::Vector3i & | index_3d
| ) |  | const

inline

Definition at line 396 of file mls.h.

Referenced by pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::dilate().

template<typename PointInT, typename PointOutT>

void pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::getPosition | ( | const uint64_t & | index_1d,
|  | Eigen::Vector3f & | point
| ) |  | const

inline

Definition at line 413 of file mls.h.

References pcl::MovingLeastSquares< PointInT, PointOutT >::voxel_size_.

Referenced by pcl::MovingLeastSquares< PointInT, PointOutT >::performUpsampling().

## Member Data Documentation

template<typename PointInT, typename PointOutT>

Eigen::Vector4f pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::bounding_max_

Definition at line 423 of file mls.h.

Referenced by pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::MLSVoxelGrid().

template<typename PointInT, typename PointOutT>

Eigen::Vector4f pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::bounding_min_

Definition at line 423 of file mls.h.

Referenced by pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::MLSVoxelGrid().

template<typename PointInT, typename PointOutT>

uint64_t pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::data_size_

Definition at line 424 of file mls.h.

Referenced by pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::MLSVoxelGrid().

template<typename PointInT, typename PointOutT>

HashMap pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::voxel_grid_

Definition at line 422 of file mls.h.

Referenced by pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::dilate(), pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::MLSVoxelGrid(), and pcl::MovingLeastSquares< PointInT, PointOutT >::performUpsampling().

template<typename PointInT, typename PointOutT>

float pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::voxel_size_

Definition at line 425 of file mls.h.

Referenced by pcl::MovingLeastSquares< PointInT, PointOutT >::MLSVoxelGrid::MLSVoxelGrid().

The documentation for this class was generated from the following files:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/mls.h
- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/impl/mls.hpp